Mail archive
alpine-aports

[alpine-aports] [PATCH] main/perl-net-smtp-tls-butmaintained: new aport

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Thu, 29 Oct 2015 16:36:50 +0200

---
 main/perl-net-smtp-tls-butmaintained/APKBUILD | 41 +++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 main/perl-net-smtp-tls-butmaintained/APKBUILD
diff --git a/main/perl-net-smtp-tls-butmaintained/APKBUILD b/main/perl-net-smtp-tls-butmaintained/APKBUILD
new file mode 100644
index 0000000..9c72d3d
--- /dev/null
+++ b/main/perl-net-smtp-tls-butmaintained/APKBUILD
_at_@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+pkgname=perl-net-smtp-tls-butmaintained
+_pkgreal=Net-SMTP-TLS-ButMaintained
+pkgver=0.24
+pkgrel=0
+pkgdesc="An SMTP client supporting TLS and AUTH (DEPRECATED, use Net::SMTPS instead)"
+url="http://search.cpan.org/dist/Net-SMTP-TLS-ButMaintained/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-net-ssleay perl-io-socket-ssl perl-digest-hmac"
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/F/FA/FAYLAND/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="45cc8ac31dff1f06ff4bdcdf4d88afdb  Net-SMTP-TLS-ButMaintained-0.24.tar.gz"
+sha256sums="6b95c08f71579d851c0183f502a700c86a1fecef570e3cee8326c5e4ce66256e  Net-SMTP-TLS-ButMaintained-0.24.tar.gz"
+sha512sums="28c5145ed5a3ce2beecbe95dde33c6892a4384102f0fe7c795bc92206e34257cae5c993e8c748b462c87a494eab399e45e56737bc3c424aa155613bbee2e4588  Net-SMTP-TLS-ButMaintained-0.24.tar.gz"
-- 
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Oct 29 2015 - 16:36:50 GMT